<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<p>Lista odwiedzin:</p>
<div>
<?php
include "Stats.php";

$statystyka = new Stats("./stats.txt");

if(($str = $statystyka->readData()) === false){
  echo "Lista nie jest w tej chwili dostêpna.<br />";
}
else{
  echo $str;
}
$data = date("Y-m-d:G:i");
$addr = $_SERVER['REMOTE_ADDR'];
if(isSet($_SERVER['HTTP_USER_AGENT'])){
  $agent = $_SERVER['HTTP_USER_AGENT'];
}
else{
  $agent = '';
}
$statystyka->writeData($data, $addr, $agent);
?>
</div>
</body>
</html>
